%global debug_package %{nil}

Summary:        A module that will return you the output of 'perl -V' in a structure
Name:           perl-Config-Perl-V
Version:        0.36
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Config-Perl-V
Source0:        https://cpan.metacpan.org/authors/id/H/HM/HMBRAND/Config-Perl-V-%{version}.tgz
Patch3000:      Config-Perl-V-0.24-Remove-invalid-shellbang.patch
BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter perl(strict) perl(Config) perl(Exporter) perl(vars) perl(warnings) perl(Digest::MD5) perl(Test::More)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Test::NoWarnings)
Suggests:       perl(Digest::MD5)
Conflicts:      perl < 5.22.0-347

%description
The command 'perl -V' will return you an excerpt from the %Config hash
combined with the output of 'perl -V' that is not stored inside %Config,
but only available to the perl binary itself.

%prep
%autosetup -p1 -n Config-Perl-V-%{version}
chmod -x examples/*

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test PERL_CORE=0

%files
%doc Changelog CONTRIBUTING.md examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.36-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.36-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.36-1
- Upgrade to version 0.36

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.33-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-2
- Rebuilt for OpenCloudOS Stream 23

* Sat Jul 2 2022 Yifan Zeng <yifanzeng@tencent.com> - 0.33-1
- Initial build
